API 参考接口列表
登记平台来源
登记本客户端采集的平台直播间(需要 `data` 权限)。重复登记返回同一个来源,并更新它的声明。
POST
application/json- body
capabilities?字段
properties <= 40channel*Channel可选值
"page_push""page_poll""page_dom""console_page""manual"collector*identity*Identity可选值
"full""masked""masked_nokey"loginState*Loginstate可选值
"anonymous""viewer""owner"platform*Platform可选值
"douyin""kuaishou""taobao""jd""wechat_channels""xiaohongshu""bilibili""other"platformLiveId?|nullplatformRoom*Successful Response
application/json- response
interaction*Interactionlimits*platformRoomId*Platformroomid格式
uuidsourceId*Sourceid格式
uuidcurl -X POST 'https://api.ailive.studio/v1/room/sources' \ -H 'Authorization: Bearer <ACCESS_TOKEN>' \ -H 'Content-Type: application/json' \ -d '{ "channel": "page_push", "collector": { "kind": "page_inject", "name": "string", "version": "string" }, "identity": "full", "loginState": "anonymous", "platform": "douyin", "platformRoom": { "id": "string", "name": "string" }}'响应示例
{ "interaction": true, "limits": { "maxBatch": 0, "maxItemsPerSecond": 0 }, "platformRoomId": "2d2f041a-ab93-4da0-bd4b-194162ba1dcc", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2"}